<ion-header class="ion-no-border" [translucent]="true">
  <ion-toolbar mode="ios">
    <ion-buttons slot="end">
      <ion-back-button text=""></ion-back-button>
    </ion-buttons>
    <div class="header-container">
      <img src="assets/imgs/delivery-truck.png" />
      <h6>توصيل إلي</h6>
      <ion-select value="القاهرة الجديدة">
        <ion-select-option>القاهرة الجديدة</ion-select-option>
      </ion-select>
    </div>
    <ion-buttons slot="start">
      <ion-button class="help-button">مساعدة</ion-button>
    </ion-buttons>
  </ion-toolbar>
  <ion-toolbar class="segmentmenu">
    <ion-segment scrollable mode="md">
      <ion-segment-button *ngFor="let category of categories" [value]="category.id">
        <span class="slider_item">
          <img [src]="category.img_url" />
          <h6>{{ category.name }}</h6>
        </span>
      </ion-segment-button>
    </ion-segment>
  </ion-toolbar>
</ion-header>

<ion-content *ngIf="loaded" [fullscreen]="true">
  <ion-grid>
    <ion-row>
      <ion-col *ngFor="let product of products">
        <product-card [product]="product"></product-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>

<ion-footer class="ion-no-border">
  <ion-toolbar>
    <ion-grid>
      <ion-row>
        <ion-col class="footer_section__cart border-right">
          <ion-button fill="clear">
            <ion-badge>{{ itemsInCart$ | async }}</ion-badge>
            <ion-icon slot="icon-only" name="cart-outline"></ion-icon>
          </ion-button>
        </ion-col>
        <ion-col class="footer_section__info border-right" col-6>
          <h5 class="footer_section__title">التوصيل</h5>
          <h6 class="footer_section__content">مجاني</h6>
        </ion-col>
        <ion-col class="footer_section__info">
          <h5 class="footer_section__title">الحساب</h5>
          <h6 class="footer_section__content">{{ (totalPrice$ | async) | arabicNumbers }} ج.م </h6>
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-toolbar>
</ion-footer>